vlatai(1L)

NAME
vlatai - Lojban word analyzer

SYNOPSIS
vlatai [ -v ] [ word ]

DESCRIPTION
vlatai is a program that reads a list of Lojban words from standard input, one word per line. In its usual mode, it writes a single output line for each input line, advising of which kind of Lojban word the input line is. If the input word has cmavo prefixed onto it, vlatai shows the individual cmavo and the base word itself.

In the verbose mode (obtained using -v), the workings of the internal state machines used for scanning the word are exposed. This may give some insight into where an error lies on words that can't be parsed, especially if the output is used in conjuction with the report files built during the compilation process.

Note that vlatai is primarily a testbench for the word categorizer/splitter inside jbofihe. vlatai is not fully supported or documented as a stand-alone program.

OPTIONS

-v  Verbose; show lots of information about the evolution of the internal state

word
    The word to check. If no 'word' argument is supplied, the program reads words from standard input, one word per line (with no whitespace around it.)

REFERENCES

http://go.to/jbofihe
    Home page for the jbofihe project (of which cmafihe is part)

http://www.lojban.org/
    Home page of the Lojban community

http://www.rc0.org.uk/lojban/
    My Lojban page.

AUTHOR
Richard Curnow <rpc@myself.com>